<!DOCTYPE html>

<html lang="en" data-content_root="../">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="viewport" content="width=device-width, initial-scale=1" />

    <title>preprocessing &#8212; NLP004  documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css?v=4f649999" />
    <link rel="stylesheet" type="text/css" href="../_static/alabaster.css?v=039e1c02" />
    <script src="../_static/documentation_options.js?v=5929fcd5"></script>
    <script src="../_static/doctools.js?v=888ff710"></script>
    <script src="../_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="text_encoder" href="text_encoder.html" />
    <link rel="prev" title="helper_functions" href="helper_functions.html" />
   
  <link rel="stylesheet" href="../_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="module-helpers.preprocessing">
<span id="preprocessing"></span><h1>preprocessing<a class="headerlink" href="#module-helpers.preprocessing" title="Link to this heading">¶</a></h1>
<dl class="py function">
<dt class="sig sig-object py" id="helpers.preprocessing.clean_new_lines">
<span class="sig-prename descclassname"><span class="pre">helpers.preprocessing.</span></span><span class="sig-name descname"><span class="pre">clean_new_lines</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">text</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/helpers/preprocessing.html#clean_new_lines"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#helpers.preprocessing.clean_new_lines" title="Link to this definition">¶</a></dt>
<dd><p>Removes new lines from the text.</p>
<p>Arguments:</p>
<blockquote>
<div><p>text (str): Input text needed to be cleaned/</p>
</div></blockquote>
<p>Returns:</p>
<blockquote>
<div><p>str: String text with no new lines.</p>
</div></blockquote>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="helpers.preprocessing.clean_stop_words">
<span class="sig-prename descclassname"><span class="pre">helpers.preprocessing.</span></span><span class="sig-name descname"><span class="pre">clean_stop_words</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">text</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">language</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">'english'</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/helpers/preprocessing.html#clean_stop_words"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#helpers.preprocessing.clean_stop_words" title="Link to this definition">¶</a></dt>
<dd><p>Removes stop words (e.g. the, a, or, do, etc.).</p>
<p>Arguments:</p>
<blockquote>
<div><p>text (str/list): Input string with stop words. Can be list, if already tokenized.</p>
<p>language (str): Language of text and stop words. Defaults to ‘english’.</p>
</div></blockquote>
<p>Returns:</p>
<blockquote>
<div><p>list: List of strings, each one being words, which are not stop words.</p>
</div></blockquote>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="helpers.preprocessing.clean_white_spaces">
<span class="sig-prename descclassname"><span class="pre">helpers.preprocessing.</span></span><span class="sig-name descname"><span class="pre">clean_white_spaces</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">text</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/helpers/preprocessing.html#clean_white_spaces"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#helpers.preprocessing.clean_white_spaces" title="Link to this definition">¶</a></dt>
<dd><p>Removes redundant white spaces.</p>
<p>Arguments:</p>
<blockquote>
<div><p>text (str): Input text needed to be cleaned.</p>
</div></blockquote>
<p>Returns:</p>
<blockquote>
<div><p>str: String text with single  white spaces, instead of multiple.</p>
</div></blockquote>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="helpers.preprocessing.cut_text_on_phrase">
<span class="sig-prename descclassname"><span class="pre">helpers.preprocessing.</span></span><span class="sig-name descname"><span class="pre">cut_text_on_phrase</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">text</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">phrase</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/helpers/preprocessing.html#cut_text_on_phrase"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#helpers.preprocessing.cut_text_on_phrase" title="Link to this definition">¶</a></dt>
<dd><p>Cuts the text at the given phrase.</p>
<p>Arguments:</p>
<blockquote>
<div><p>text (str): Input text.</p>
<p>phrase (str): The phrase, at which text has to be cut.</p>
</div></blockquote>
<p>Returns:</p>
<blockquote>
<div><p>str: The text from begining until the position of the phrase.</p>
</div></blockquote>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="helpers.preprocessing.lem_words">
<span class="sig-prename descclassname"><span class="pre">helpers.preprocessing.</span></span><span class="sig-name descname"><span class="pre">lem_words</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">text</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/helpers/preprocessing.html#lem_words"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#helpers.preprocessing.lem_words" title="Link to this definition">¶</a></dt>
<dd><p>Lemms words in text.</p>
<p>Arguments:</p>
<blockquote>
<div><p>text (str/list): Input text. Can be string or list of strings.</p>
</div></blockquote>
<p>Returns:</p>
<blockquote>
<div><p>list: List of strings, each one being a lemma of a word.</p>
</div></blockquote>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="helpers.preprocessing.lowercase_text">
<span class="sig-prename descclassname"><span class="pre">helpers.preprocessing.</span></span><span class="sig-name descname"><span class="pre">lowercase_text</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">text</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/helpers/preprocessing.html#lowercase_text"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#helpers.preprocessing.lowercase_text" title="Link to this definition">¶</a></dt>
<dd><p>Turn the text into lowercase.</p>
<p>Arguments:</p>
<blockquote>
<div><p>text (str): Input text needed to be turned into lowercase.</p>
</div></blockquote>
<p>Returns:</p>
<blockquote>
<div><p>str: Text in lower case.</p>
</div></blockquote>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="helpers.preprocessing.preprocessing_pipeline">
<span class="sig-prename descclassname"><span class="pre">helpers.preprocessing.</span></span><span class="sig-name descname"><span class="pre">preprocessing_pipeline</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">text</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">stop_words_lang</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">'english'</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">keep_stop_words</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/helpers/preprocessing.html#preprocessing_pipeline"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#helpers.preprocessing.preprocessing_pipeline" title="Link to this definition">¶</a></dt>
<dd><p>Performs preprocessing and cleaning on raw input text</p>
<p>Arguments:</p>
<blockquote>
<div><p>text (str):  Text input.</p>
<p>stop_words_lang (str): Language for stop words. Defaults to ‘english’.</p>
<p>keep_stop_words (bool): Defines if stop words should be kept. Defaults to False</p>
</div></blockquote>
<p>Returns:</p>
<blockquote>
<div><p>list: Tokens of words.</p>
<p>list: Stemmed tokens of words.</p>
<p>list: Lemmatized tokens of words.</p>
</div></blockquote>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="helpers.preprocessing.remove_first_line">
<span class="sig-prename descclassname"><span class="pre">helpers.preprocessing.</span></span><span class="sig-name descname"><span class="pre">remove_first_line</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">text</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/helpers/preprocessing.html#remove_first_line"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#helpers.preprocessing.remove_first_line" title="Link to this definition">¶</a></dt>
<dd><p>Removes first line from text.</p>
<p>Arguments:</p>
<blockquote>
<div><p>text (str): Input text.</p>
</div></blockquote>
<p>Returns:</p>
<blockquote>
<div><p>str: The text withput first line.</p>
</div></blockquote>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="helpers.preprocessing.remove_puntuation">
<span class="sig-prename descclassname"><span class="pre">helpers.preprocessing.</span></span><span class="sig-name descname"><span class="pre">remove_puntuation</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">text</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/helpers/preprocessing.html#remove_puntuation"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#helpers.preprocessing.remove_puntuation" title="Link to this definition">¶</a></dt>
<dd><p>Removes punctuation marks from the text.</p>
<p>Arguments:</p>
<blockquote>
<div><p>text (str): Input text with punctuation marks.</p>
</div></blockquote>
<p>Returns:</p>
<blockquote>
<div><p>str: Text with no punctuation marks.</p>
</div></blockquote>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="helpers.preprocessing.stem_words">
<span class="sig-prename descclassname"><span class="pre">helpers.preprocessing.</span></span><span class="sig-name descname"><span class="pre">stem_words</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">text</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/helpers/preprocessing.html#stem_words"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#helpers.preprocessing.stem_words" title="Link to this definition">¶</a></dt>
<dd><p>Stemms words in text.</p>
<p>Arguments:</p>
<blockquote>
<div><p>text (str/list): Input text. Can be string or list of strings.</p>
</div></blockquote>
<p>Returns:</p>
<blockquote>
<div><p>list: List of strings, each one being a stem of a word.</p>
</div></blockquote>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="helpers.preprocessing.tokenize_if_string">
<span class="sig-prename descclassname"><span class="pre">helpers.preprocessing.</span></span><span class="sig-name descname"><span class="pre">tokenize_if_string</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">text</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/helpers/preprocessing.html#tokenize_if_string"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#helpers.preprocessing.tokenize_if_string" title="Link to this definition">¶</a></dt>
<dd><p>If input is string, tokenizes with word_tokenize from nltk. Used in other functions, when input isn’t tokenized list but is string.</p>
<p>Arguments:</p>
<blockquote>
<div><p>text (str/list): Input text.</p>
</div></blockquote>
<p>Returns:</p>
<blockquote>
<div><p>list: tokenized words</p>
</div></blockquote>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="helpers.preprocessing.translate_interval_dash">
<span class="sig-prename descclassname"><span class="pre">helpers.preprocessing.</span></span><span class="sig-name descname"><span class="pre">translate_interval_dash</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">text</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/helpers/preprocessing.html#translate_interval_dash"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#helpers.preprocessing.translate_interval_dash" title="Link to this definition">¶</a></dt>
<dd><p>Translates dashes, showing intervals (e.g. 100-200) into white spaces.</p>
<p>Arguments:</p>
<blockquote>
<div><p>text (str): Input text with dashes.</p>
</div></blockquote>
<p>Returns:</p>
<blockquote>
<div><p>str: Text with no dashes.</p>
</div></blockquote>
</dd></dl>

</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="../index.html">NLP004</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="../modules.html">python</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="../helpers.html">helpers</a><ul class="current">
<li class="toctree-l3"><a class="reference internal" href="helper_functions.html">helper_functions</a></li>
<li class="toctree-l3 current"><a class="current reference internal" href="#">preprocessing</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#helpers.preprocessing.clean_new_lines"><code class="docutils literal notranslate"><span class="pre">clean_new_lines()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="#helpers.preprocessing.clean_stop_words"><code class="docutils literal notranslate"><span class="pre">clean_stop_words()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="#helpers.preprocessing.clean_white_spaces"><code class="docutils literal notranslate"><span class="pre">clean_white_spaces()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="#helpers.preprocessing.cut_text_on_phrase"><code class="docutils literal notranslate"><span class="pre">cut_text_on_phrase()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="#helpers.preprocessing.lem_words"><code class="docutils literal notranslate"><span class="pre">lem_words()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="#helpers.preprocessing.lowercase_text"><code class="docutils literal notranslate"><span class="pre">lowercase_text()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="#helpers.preprocessing.preprocessing_pipeline"><code class="docutils literal notranslate"><span class="pre">preprocessing_pipeline()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="#helpers.preprocessing.remove_first_line"><code class="docutils literal notranslate"><span class="pre">remove_first_line()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="#helpers.preprocessing.remove_puntuation"><code class="docutils literal notranslate"><span class="pre">remove_puntuation()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="#helpers.preprocessing.stem_words"><code class="docutils literal notranslate"><span class="pre">stem_words()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="#helpers.preprocessing.tokenize_if_string"><code class="docutils literal notranslate"><span class="pre">tokenize_if_string()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="#helpers.preprocessing.translate_interval_dash"><code class="docutils literal notranslate"><span class="pre">translate_interval_dash()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="text_encoder.html">text_encoder</a></li>
<li class="toctree-l3"><a class="reference internal" href="get_by_doi.html">get_by_doi</a></li>
<li class="toctree-l3"><a class="reference internal" href="keyphrase_extractor.html">keyphrase_extractor</a></li>
<li class="toctree-l3"><a class="reference internal" href="rules.html">rules</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../scripts.html">scripts</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../pipe.html">pipe</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="../index.html">Documentation overview</a><ul>
  <li><a href="../modules.html">python</a><ul>
  <li><a href="../helpers.html">helpers</a><ul>
      <li>Previous: <a href="helper_functions.html" title="previous chapter">helper_functions</a></li>
      <li>Next: <a href="text_encoder.html" title="next chapter">text_encoder</a></li>
  </ul></li>
  </ul></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2023, Ughur Mammadzada.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 7.2.6</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.13</a>
      
      |
      <a href="../_sources/helpers/preprocessing.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>